=== debian/changelog ===
ros-indigo-aubo-driver (0.3.15-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- liuxin <liuxin@our-robotics.com>  Fri, 31 Mar 2017 07:02:41 -0000

ros-indigo-aubo-driver (0.3.0-0trusty) trusty; urgency=high

  * new version:add aubo_panel,aubo_new_driver
  * new version:add aubo_panel,aubo_new_driver
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 14 Nov 2016 16:00:00 -0000

ros-indigo-aubo-driver (0.2.2-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Wed, 26 Oct 2016 16:00:00 -0000

ros-indigo-aubo-driver (0.2.1-0trusty) trusty; urgency=high



 -- liuxin <liuxin@our-robotics.com>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-driver (0.2.0-0trusty) trusty; urgency=high

  * use lib32 and lib63 to make compitable with i686 and x86_64 system
  * compatible with 32bit and 64 bit system.
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-driver (0.1.2-0trusty) trusty; urgency=high

  * fixed a lib path bug
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Thu, 29 Sep 2016 16:00:00 -0000

ros-indigo-aubo-driver (0.1.1-0trusty) trusty; urgency=high

  * update CHANGELOG.rst
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Mon, 19 Sep 2016 16:00:00 -0000

ros-indigo-aubo-driver (0.1.0-0trusty) trusty; urgency=high

  * add CHANGELOG.rst
  * update version 0.0.1
  * update README
  * Aubo robotics ROS version 1.0
  * Contributors: robot

 -- liuxin <liuxin@our-robotics.com>  Sun, 18 Sep 2016 16:00:00 -0000
