=== debian/control ===
Source: ros-indigo-aubo-driver
Section: misc
Priority: extra
Maintainer: liuxin <liuxin@our-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-aubo-msgs, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/aubo_driver
Standards-Version: 3.9.2

Package: ros-indigo-aubo-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-aubo-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: The aubo_driver package for connect the TCP/IP Server
